package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * DeviceListAddOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class DeviceListAddOpenApiVo   {
  @JsonProperty("devices")
  @Valid
  private List<AddDeviceVo> devices = new ArrayList<>();

  public DeviceListAddOpenApiVo devices(List<AddDeviceVo> devices) {
    this.devices = devices;
    return this;
  }

  public DeviceListAddOpenApiVo addDevicesItem(AddDeviceVo devicesItem) {
    this.devices.add(devicesItem);
    return this;
  }

  /**
   * Add devices list
   * @return devices
  */
  @ApiModelProperty(required = true, value = "Add devices list")
  @NotNull

  @Valid

  public List<AddDeviceVo> getDevices() {
    return devices;
  }

  public void setDevices(List<AddDeviceVo> devices) {
    this.devices = devices;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    DeviceListAddOpenApiVo deviceListAddOpenApiVo = (DeviceListAddOpenApiVo) o;
    return Objects.equals(this.devices, deviceListAddOpenApiVo.devices);
  }

  @Override
  public int hashCode() {
    return Objects.hash(devices);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class DeviceListAddOpenApiVo {\n");
    
    sb.append("    devices: ").append(toIndentedString(devices)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

